Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 144788 - Adding to Friends list of XML and XAM modules
Adding to Friends list of XML and XAM modules
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Vladimir Yaroslavskiy
issues@xml
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-21 21:32 UTC by Nilesh Apte
Modified: 2008-09-04 13:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Diff (1.49 KB, patch)
2008-08-25 13:29 UTC, Kirill Sorokin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nilesh Apte 2008-08-21 21:32:50 UTC
Add "dm.di.core" module (org.netbeans.modules.dm.di.core) as a friend to following modules

1. XML Validation (org-netbeans-modules-xml-validation.jar)
2. XAM (org-netbeans-modules-xml-xam.jar)
3. XAM UI (org-netbeans-modules-xml-xam-ui.jar)
Comment 1 Samaresh Panda 2008-08-21 23:16:55 UTC
Nilesh, please explain:
1. It'll be good if you could describe why these changes are needed? Do you have any write-ups/links about this new
module dm.di.core? If yes, please add them here.
2. what APIs do you intend to use in xml.validation and xml.xam.ui module?
3. xml.xam already has a lot of public APIs. You probably don't need any changes there right?
Comment 2 Kirill Sorokin 2008-08-25 13:28:57 UTC
I'll throw in another request. org.netbeans.modules.scheduler.ui also needs to be listed as a friend of xml.validation
and xam.ui.

So in total we need to:

1) Add org.netbeans.modules.scheduler.ui as a friend to 
   - org.netbeans.modules.xml.validation
   - org.netbeans.modules.xml.xam.ui
   (requester: Ed Wong)

2) Add org.netbeans.modules.dm.di.core as a friend to
   - org.netbeans.modules.xml.validation
   - org.netbeans.modules.xml.xam.ui
   (requester: Nilesh Apte)

/Note: I believe the request to be a friend of xml.xam is excessive as it has a lot of public API already and everyone
else seems to be quite happy with it. So I removed it./

The reasoning behind these requests is in the fact that we need to include these new modules into the GlassFish ESB
release, which will be based on NetBeans 6.1 (NOT 6.5) and the only way for us to actually do it is to make sure update
3 fixes all the dependency issues we might encounter.

Due to the urgency of the issue, Sam, Tien, could you please review the changes (diff attached) today, so me and Rudolf
could integrate them to {main} and {release61_fixes} during PRG business day tomorrow? Please feel free to call me
anytime (my cell is listed in namefinder) if you have any questions.
Comment 3 Kirill Sorokin 2008-08-25 13:29:47 UTC
Created attachment 68240 [details]
Diff
Comment 4 artibee 2008-08-25 15:32:48 UTC
Please integrate (and verify) changes into 6.5 first.
Comment 5 Samaresh Panda 2008-08-25 15:41:23 UTC
Ok, go ahead and make necessary changes to 6.5.
Comment 6 Vladimir Yaroslavskiy 2008-08-25 15:47:35 UTC
fixed in main clone (NetBeans 6.5 dev): f1d3efd42a7c
Comment 7 Vladimir Yaroslavskiy 2008-08-25 15:49:20 UTC
verified in main clone, build >= 3548
Comment 8 Quality Engineering 2008-08-26 06:04:26 UTC
Integrated into 'main-golden', available in build *200808260201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/f1d3efd42a7c
User: Vladimir Yaroslavskiy <yaroslavskiy@netbeans.org>
Log: [Issue #144788] Adding to Friends list of XML and XAM modules
Comment 9 rbalada 2008-08-26 09:41:06 UTC
I've ported the changeset http://hg.netbeans.org/main/rev/f1d3efd42a7c into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/2de6822b76b8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo